package com.dt.care.controller;

import com.dt.care.dto.AgesNameDto;
import com.dt.care.vo.ResultVo;
import com.dt.common.domain.HxwVaccines;
import com.dt.common.service.HxwVaccinesService;
import com.dt.config.NonLoginRequired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;


@RestController
@RequestMapping("adult")
public class AdultVaccinesController {

    @Resource
    private HxwVaccinesService hxwVaccinesService;


    @RequestMapping("findByAdultAll")
    @NonLoginRequired
    public ResultVo findByAdultAll(@RequestBody AgesNameDto dto){
        List<HxwVaccines> list = hxwVaccinesService.findByAdultAll(dto);
        return ResultVo.OK(list);
    }
}
