package com.dt.common.service;

import com.dt.care.dto.AgesNameDto;
import com.dt.care.dto.VaccinesDto;
import com.dt.common.domain.HxwVaccines;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author sunday
* @description 针对表【hxw_vaccines(hxw_疫苗信息表：存储所有疫苗的基本信息)】的数据库操作Service
* @createDate 2025-07-03 09:45:44
*/
public interface HxwVaccinesService extends IService<HxwVaccines> {

    List<HxwVaccines> findByVaccinesByCategory(VaccinesDto dto);

    HxwVaccines findByVaccinesDetails(AgesNameDto dto);

    List<HxwVaccines> findByAdultAll(AgesNameDto dto);

}
