package com.dt.care.vo;

import lombok.Data;

@Data
public class ResultVo {
    private Integer code;
    private String msg;
    private Object data;

    public static ResultVo OK(Object data){
        ResultVo resultVo=new ResultVo();
        resultVo.setCode(200);
        resultVo.setMsg("操作成功");
        resultVo.setData(data);
        return resultVo;
    }

    public static ResultVo ERROR(Object data){
        ResultVo resultVo=new ResultVo();
        resultVo.setCode(400);
        resultVo.setMsg("操作失败");
        resultVo.setData(data);
        return resultVo;
    }
}
