package com.dt.common.service;

import com.dt.care.dto.AgesNameDto;
import com.dt.common.domain.HxwAgeBasedVaccineRecommendations;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dt.common.domain.HxwVaccines;

import java.util.List;

/**
* @author sunday
* @description 针对表【hxw_age_based_vaccine_recommendations(hxw_按月龄疫苗推荐表：按照儿童月龄推荐接种的疫苗)】的数据库操作Service
* @createDate 2025-07-03 09:45:44
*/
public interface HxwAgeBasedVaccineRecommendationsService extends IService<HxwAgeBasedVaccineRecommendations> {


    List<HxwVaccines> findByAgesNameByVaccines(AgesNameDto agesNameDto);

}
