package com.dt.common.service;

import com.dt.care.dto.DiseasesDto;
import com.dt.common.domain.HxwDiseases;
import com.dt.common.domain.HxwVaccineDiseaseRelations;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author sunday
* @description 针对表【hxw_vaccine_disease_relations(hxw_疫苗-疾病关联表：关联疫苗与其预防的疾病)】的数据库操作Service
* @createDate 2025-07-03 09:45:44
*/
public interface HxwVaccineDiseaseRelationsService extends IService<HxwVaccineDiseaseRelations> {

    HxwDiseases findByDiseasesByVaccines(DiseasesDto dto);
}
